;;; dir-locals.el --- Description -*- lexical-binding: t; -*-
;;
;; Copyright (C) 2025 Matt Nish-Lapidus
;;
;; Author: Matt Nish-Lapidus <matt@emenel.ca>
;; Maintainer: Matt Nish-Lapidus <matt@emenel.ca>
;; Created: February 22, 2025
;; Modified: February 22, 2025
;; Version: 0.0.1
;; Keywords: abbrev bib c calendar comm convenience data docs emulations extensions faces files frames games hardware help hypermedia i18n internal languages lisp local maint mail matching mouse multimedia news outlines processes terminals tex text tools unix vc wp
;; Homepage: https://github.com/emenel/dir-locals
;; Package-Requires: ((emacs "24.3"))
;;
;; This file is not part of GNU Emacs.
;;
;;; Commentary:
;;
;;  Description
;;
;;; Code:

((nix-mode
  . ((eglot-workspace-configuration
      . '(:nixd
          ;; (:formatting (:command [ "alejandra"]))
          ;; (:nixpkgs (:expr "import (builtins.getFlake \"/home/emenel/source/nixos-config\").inputs.nixpkgs { }   "))
          (:options (:nixos (:expr "(builtins.getFlake \"/home/emenel/source/nixos-config\").nixosConfigurations.eddie.options"))))))))


(provide 'dir-locals)
;;; dir-locals.el ends here
