
$env.config.completions.external.completer = $fish_completer
$env.LS_COLORS = (vivid generate one-dark)
# $env.TRANSIENT_PROMPT_COMMAND = ^starship module character
# $env.TRANSIENT_PROMPT_INDICATOR = ""
# $env.TRANSIENT_PROMPT_INDICATOR_VI_INSERT = ""
# $env.TRANSIENT_PROMPT_INDICATOR_VI_NORMAL = ""
# $env.TRANSIENT_PROMPT_MULTILINE_INDICATOR = ""
# $env.TRANSIENT_PROMPT_COMMAND_RIGHT = ^starship module time

alias "nuls" = ls

def --env nufzf [] {$in | each {|i| $i | to json --raw} | str join "\n" | fzf  | from json}

def --env doomup [...args] {
  doom sync ...$args
  doom gc
  systemctl --user restart emacs.service
}

# TODO: is there a way to passthrough args?
def --env ls [...p: glob] {
    let pattern = if ($p | is-empty) { [ '.' ] } else { $p }
    nuls -lm ...$pattern | select name size modified mode user
}

def --env lla [...p: glob] {
    let pattern = if ($p | is-empty) { [ '.' ] } else { $p }
    nuls -alm ...$pattern | select name size modified mode user
}

alias "ll" = ls
alias "la" = lla

# def --env pullall [] {

# }

def pdf-compress [...args] {
    gs -sDEVICE=pdfwrite -dPDFSETTINGS=/printer -dNOPAUSE -dBATCH -sOutputFile=output.pdf $args
}

def nh-switch-gc [...args] {
    nh os switch; nh clean all --keep 3 --nogcroots; nix store optimise;
}
